[pypy-issue] [issue1455] fixes "no _curses or _minimal_curses" on netbsd

YAMAMOTO Takashi tracker at bugs.pypy.org
Tue Apr 16 02:36:28 CEST 2013


New submission from YAMAMOTO Takashi <yamt at mwd.biglobe.ne.jp>:

this patch fixes "no _curses or _minimal_curses" error i got when
building pypy with pypy on netbsd.

on netbsd, "import _curses" doesn't work because:

- unlike rpython/translator/platform, it doesn't pass enough flags to
  a compiler.  eg. LOCALBASE stuff.
- on typical installation (pkgsrc), ncurses.h is available as ncurses/ncurses.h
- ncurses configuration mismatch? (i'm not sure)
  eg. chtype is int, not long.

and cffi.verify ends up raising VerifycationError.

----------
messages: 5586
nosy: pypy-issue, yamt
priority: bug
status: unread
title: fixes "no _curses or _minimal_curses" on netbsd

________________________________________
PyPy bug tracker <tracker at bugs.pypy.org>
<https://bugs.pypy.org/issue1455>
________________________________________


More information about the pypy-issue mailing list